Subject: Re: winsup wont build
From: [email-masked] (Vincent Sanders)

5 Oct 1998 17:36:14 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "cygwin list" <[email-masked]>,
        "Mumit Khan" <[email-masked]>

>On Fri, 2 Oct 1998, Vincent Sanders wrote:
>
>> Is it just me or does the winsup source snapshots from the cygnus ftp
site
>> simply not build? if they do what do i need to do to get them to build.
>>
>
>It builds just fine, but you do need a few other things from the cdk
>source tree. Can you tell us what problem(s) you're facing is so we
>don't have to guess?
>
>follow-up to the mailing list please.
>
>Regards,
>Mumit
>
>

Ok here we go
Download cdk-src.tar.gz
tar -zxvf cdk-src.tar.gz
<output is src/*.* as expected>
cd src
mv winsup winsup-cdk
mv newlib newlib-cdk
download winsup-980929.tar.bz2
download newlib-980824.tar.bz2
tar -zxvf winsup-980929.tar.bz2
<op is as expected>
tar -zxvf newlib-980824.tar.bz2
<op is as expected>
../configure
<op is

bash-2.01$ ./configure
Configuring for a i686-pc-cygwin32 host.
*** This configuration is not supported in the following subdirectories:
     send-pr gprof texinfo target-gperf
    (Any other directories should still work fine.)
Created "Makefile" in /cygnus/src using "config/mh-cygwin32"
Links are now set up to build a native compiler for i686-pc-cygwin32
bash-2.01$

>
make
<op is reams and reams of build stuff then

  /cygnus/src/gcc/xgcc -B/cygnus/src/gcc/ -idirafter
/cygnus/src/./newlib/targ-i
nclude -idirafter
/cygnus/src/newlib/libc/include -nostdinc -c -g -O2 -I../../li
bio   timer.c -o pic/timer.o
/cygnus/src/gcc/xgcc -B/cygnus/src/gcc/ -idirafter
/cygnus/src/./newlib/targ-inc
lude -idirafter
/cygnus/src/newlib/libc/include -nostdinc -c -g -O2 -I../../libi
o  timer.c
In file included from /cygnus/src/gcc/include/syslimits.h:7,
                 from /cygnus/src/gcc/include/limits.h:11,
                 from /cygnus/src/newlib/targ-include/sys/param.h:6,
                 from timer.c:41:
/cygnus/src/gcc/include/limits.h:116: limits.h: No such file or directory
make[2]: *** [timer.o] Error 1
make[1]: *** [src/libgxx.list] Error 2
make: *** [all-target-libg++] Error 2
bash-2.01$

eof op>

I have tried the build with various winsups with and without newlib etc etc
different compilers etc but to little avail

Any ideas apreciated
Regards Vincent

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".